<template>
  <div class="card">
    <router-link :to="{ name: 'Game', params: { id } }">
      <div class="card-image">
        <figure class="image">
          <img :src="imageName(name)">
        </figure>
      </div>
    </router-link>
    <div class="card-content">
      <div class="media">
        <div class="media-left">
          <game-pin :id="id"
                    :pinned.sync="syncPinned" />
        </div>
        <div class="media-content">
          <p class="title is-5">{{ name }}</p>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop, PropSync } from 'vue-property-decorator';

import GamePin from '@/components/games/GamePin.vue';
import GameMixin from '@/mixins/game.vue';

@Component({
  components: { GamePin },
})
export default class GameItem extends GameMixin {
  @Prop(Number) readonly id: number;
  @Prop(String) readonly img: string;
  @Prop(String) readonly name: string;
  @PropSync('pinned') syncPinned: any;
}
</script>

<style lang="scss" scoped>
.card {
  transition: box-shadow .2s;

  &:hover {
    box-shadow: 0 0.5em 1.5em -0.125em rgba(10, 10, 10, 0.3), 0 0px 0 1px rgba(10, 10, 10, 0.02);
  }
}
</style>
